#pragma once
#include "goap.hpp"

namespace ai {
  AIProfile* profile();
  void dump_only(State state, bool matching, bool show_as);
  void dump_state(State state);
  void dump_action(Action& action);
  State dump_script(std::string msg, State start, Script& script);
}
